HyperTrackDocs
Orders

Reschedule Order

Reschedule an order identified by the given order_handle. When an order has already been dispatched, this will automatically cancel and recreate a new order with the new scheduled timestamps in an `unplanned` state. When an order is in assigned/planned state, this will automatically remove it from the route and schedule is updated.

POST
/orders/{order_handle}/reschedule

Reschedule an order identified by the given order_handle. When an order has already been dispatched, this will automatically cancel and recreate a new order with the new scheduled timestamps in an unplanned state. When an order is in assigned/planned state, this will automatically remove it from the route and schedule is updated.

Authorization

AuthorizationBasic <token>

In: header

Path Parameters

order_handle*string

Query Parameters

type?|

Type of the order which can be drop or pick

type_index?|

Integer representing the pick or drop order index when having a pick/drop scenario

fulfillment_attempt?|

The attempt number for fulfilling the order

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/orders/string/reschedule" \  -H "Content-Type: application/json" \  -d '{    "scheduled_after": "2023-10-31T02:00:00Z",    "scheduled_at": "2023-10-31T04:00:00Z"  }'
{  "order_handle": "order-1",  "fulfillment_attempt": 0,  "status": "unplanned",  "destination": {    "geometry": {      "type": "Point",      "coordinates": [        -121.8871193,        37.390611      ]    },    "address": "1709 Automation Pkwy, San Jose, CA 95101",    "radius": 100  },  "ops_group_handle": "store-SF",  "track_mode": "on_time",  "plan_mode": "manual",  "scheduled_after": "2023-10-31T02:00:00.000Z",  "scheduled_at": "2023-10-31T04:00:00.000Z",  "type": "drop",  "type_index": 0,  "expected_service_time": 0,  "capacity_used": 1,  "metadata": {    "customerId": "1442",    "name": "Jordan"  },  "region": {    "country": "United States",    "city": "San Jose",    "state": "California"  },  "product_type": [    "frozen",    "fragile"  ],  "created_at": "2023-10-30T22:22:54.071Z",  "visited_destination": false,  "timeline": []}
{  "detail": {},  "message": "string"}
{  "detail": {},  "message": "string"}
{  "detail": {    "<location>": {      "<field_name>": [        "string"      ]    }  },  "message": "string"}